*+--------------------------------------------------------------------
*+
*+ Source Module => c:\hmg.3.4.4\0\DLT\\DLTSETUP.PRG
*+
*+    Copyright(C) 1983-2020 by Auge & Ohr
*+
*+    Functions: Procedure SETUPFORM()
*+               Static Procedure DoSaveSetup()
*+
*+    Reformatted by Click! 2.05.30 on Jun-29-2020 at 12:05 am
*+
*+--------------------------------------------------------------------

#include "HMG.ch"

MEMVAR oDemoForm, _HMG_SYSDATA

*+--------------------------------------------------------------------
*+
*+    Procedure SETUPFORM()
*+
*+    Called from ( hbdlt.prg )   1 - create class demoform()
*+
*+--------------------------------------------------------------------
*+
PROCEDURE SETUPFORM()

   DEFINE WINDOW DLTSETUP ;
              AT 477, 719 ;
              WIDTH 170 ;
              HEIGHT 325 ;
              TITLE "DLT Setup" ;
              ICON NIL ;
              TOPMOST ;
              NOMAXIMIZE ;
              NOMINIMIZE ;
              NOSIZE ;
              NOSYSMENU ;
              ON INIT Nil ;
              ON RELEASE Nil ;
              ON PAINT Nil ;
              BACKCOLOR NIL

      DEFINE LABEL Label_003
         ROW 10
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "max Points"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE TEXTBOX Text_Points
         ROW 10
         COL 90
         WIDTH 40
         HEIGHT 24
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         ONENTER Nil
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         READONLY .F.
         RIGHTALIGN .F.
         DISABLEDBACKCOLOR Nil
         DISABLEDFONTCOLOR Nil
         CASECONVERT NONE
         BACKCOLOR NIL
         FONTCOLOR NIL
         INPUTMASK Nil
         FORMAT Nil
         NUMERIC .T.
         VALUE 100
      END TEXTBOX

      DEFINE LABEL Label_001
         ROW 40
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "Size X"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE TEXTBOX Text_SizeX
         ROW 40
         COL 90
         WIDTH 40
         HEIGHT 24
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         ONENTER Nil
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         READONLY .F.
         RIGHTALIGN .F.
         DISABLEDBACKCOLOR Nil
         DISABLEDFONTCOLOR Nil
         CASECONVERT NONE
         MAXLENGTH 4
         BACKCOLOR NIL
         FONTCOLOR NIL
         INPUTMASK "9999"
         FORMAT Nil
         NUMERIC .T.
         VALUE 768
      END TEXTBOX

      DEFINE LABEL Label_002
         ROW 70
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "Size Y"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE TEXTBOX Text_SizeY
         ROW 70
         COL 90
         WIDTH 40
         HEIGHT 24
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         ONENTER Nil
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         READONLY .F.
         RIGHTALIGN .F.
         DISABLEDBACKCOLOR Nil
         DISABLEDFONTCOLOR Nil
         CASECONVERT NONE
         BACKCOLOR NIL
         FONTCOLOR NIL
         INPUTMASK Nil
         FORMAT Nil
         NUMERIC .T.
         VALUE 1024
      END TEXTBOX

      DEFINE LABEL Label_004
         ROW 100
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "use Edge"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE CHECKBOX CheckBox_Edge
         ROW 100
         COL 90
         WIDTH 10
         HEIGHT 24
         CAPTION "EDGE"
         VALUE .F.
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         TRANSPARENT .F.
      END CHECKBOX

      DEFINE LABEL Label_005
         ROW 130
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "try Quick"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE CHECKBOX CheckBox_Quick
         ROW 130
         COL 90
         WIDTH 10
         HEIGHT 24
         CAPTION "QUICK"
         VALUE .F.
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         TRANSPARENT .F.
      END CHECKBOX

      DEFINE LABEL Label_006
         ROW 160
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "16M Color"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE CHECKBOX CheckBox_Smooth
         ROW 160
         COL 90
         WIDTH 10
         HEIGHT 24
         CAPTION "SMOOTH"
         VALUE .F.
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         TRANSPARENT .F.
      END CHECKBOX

      DEFINE LABEL Label_007
         ROW 190
         COL 10
         WIDTH 80
         HEIGHT 24
         VALUE "Show Circle"
         FONTNAME "Arial"
         FONTSIZE 10
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         HELPID Nil
         VISIBLE .T.
         TRANSPARENT .F.
         ACTION Nil
         AUTOSIZE .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
      END LABEL

      DEFINE CHECKBOX CheckBox_Circle
         ROW 190
         COL 90
         WIDTH 10
         HEIGHT 24
         CAPTION "CIRCLE"
         VALUE .F.
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP ""
         ONCHANGE Nil
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         BACKCOLOR NIL
         FONTCOLOR NIL
         HELPID Nil
         TABSTOP .T.
         VISIBLE .T.
         TRANSPARENT .F.
      END CHECKBOX

      DEFINE BUTTON Button_1
         ROW 220
         COL 10
         WIDTH 130
         HEIGHT 50
         ACTION DoSaveSetup()
         CAPTION "&Save"
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP ""
         FONTBOLD .F.
         FONTITALIC .F.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         ONGOTFOCUS Nil
         ONLOSTFOCUS Nil
         HELPID Nil
         FLAT .F.
         TABSTOP .T.
         VISIBLE .T.
         TRANSPARENT .F.
         MULTILINE .F.
         PICTURE Nil
         PICTALIGNMENT TOP
      END BUTTON

   END WINDOW

   ON KEY ESCAPE OF DLTSETUP ACTION DLTSETUP.Release

   DLTSETUP.Text_SizeX.Value := DLTSETUP->SIZEX
   DLTSETUP.Text_SizeY.Value := DLTSETUP->SIZEY
   DLTSETUP.Text_Points.Value := DLTSETUP->TPOINTS
   DLTSETUP.CheckBox_Edge.Value := DLTSETUP->EDGE                     // edge
   DLTSETUP.CheckBox_Quick.Value := DLTSETUP->QUICK                   // quick
   DLTSETUP.CheckBox_Smooth.Value := DLTSETUP->SMOOTH                 // smooth
   DLTSETUP.CheckBox_Circle.Value := DLTSETUP->CIRCLE                 // Circle

   CENTER WINDOW DLTSETUP
   Activate Window DLTSETUP

RETURN

*+--------------------------------------------------------------------
*+
*+    Static Procedure DoSaveSetup()
*+
*+    Called from ( dltsetup.prg )   1 - procedure setupform()
*+
*+--------------------------------------------------------------------
*+
STATIC PROCEDURE DoSaveSetup()

   IF RLOCK()
      REPLACE DLTSETUP->SIZEX WITH DLTSETUP.Text_SizeX.Value
      REPLACE DLTSETUP->SIZEY WITH DLTSETUP.Text_SizeY.Value
      REPLACE DLTSETUP->TPOINTS WITH DLTSETUP.Text_Points.Value
      REPLACE DLTSETUP->EDGE WITH DLTSETUP.CheckBox_Edge.Value        // edge
      REPLACE DLTSETUP->QUICK WITH DLTSETUP.CheckBox_Quick.Value      // quick
      REPLACE DLTSETUP->SMOOTH WITH DLTSETUP.CheckBox_Smooth.Value    // smooth
      REPLACE DLTSETUP->CIRCLE WITH DLTSETUP.CheckBox_Circle.Value    // Circle
      UNLOCK
   ENDIF

   DLTSETUP.Release

   oDemoForm:InitFromDBF()
   oDemoForm:OnInit()

RETURN

//
//
//

*+ EOF: DLTSETUP.PRG